package com.uas.platform.b2b.erp.model;


import com.uas.platform.b2b.model.BarLabelParameter;


/**
 * b2b LabelParameter模型
 * @author aof
 * @date 2015年10月29日
 */
public class LabelParameter {
	
	private Long lp_laid;
	private String lp_detno;
	private String lp_name;
	private String lp_valuetype;
	private String lp_leftrate;
	private String lp_toprate;
	private String lp_font;
	private String lp_encode;
	private String lp_size;
	private String lp_ifshownote;
	private String lp_height;
	private String lp_width;
	private String lp_notealignjustify;
	
	
	public Long getLp_laid() {
		return lp_laid;
	}


	public void setLp_laid(Long lp_laid) {
		this.lp_laid = lp_laid;
	}


	public String getLp_detno() {
		return lp_detno;
	}


	public void setLp_detno(String lp_detno) {
		this.lp_detno = lp_detno;
	}


	public String getLp_name() {
		return lp_name;
	}


	public void setLp_name(String lp_name) {
		this.lp_name = lp_name;
	}


	public String getLp_valuetype() {
		return lp_valuetype;
	}


	public void setLp_valuetype(String lp_valuetype) {
		this.lp_valuetype = lp_valuetype;
	}


	public String getLp_leftrate() {
		return lp_leftrate;
	}


	public void setLp_leftrate(String lp_leftrate) {
		this.lp_leftrate = lp_leftrate;
	}


	public String getLp_toprate() {
		return lp_toprate;
	}


	public void setLp_toprate(String lp_toprate) {
		this.lp_toprate = lp_toprate;
	}


	public String getLp_font() {
		return lp_font;
	}


	public void setLp_font(String lp_font) {
		this.lp_font = lp_font;
	}


	public String getLp_encode() {
		return lp_encode;
	}


	public void setLp_encode(String lp_encode) {
		this.lp_encode = lp_encode;
	}


	public String getLp_size() {
		return lp_size;
	}


	public void setLp_size(String lp_size) {
		this.lp_size = lp_size;
	}


	public String getLp_ifshownote() {
		return lp_ifshownote;
	}


	public void setLp_ifshownote(String lp_ifshownote) {
		this.lp_ifshownote = lp_ifshownote;
	}


	public String getLp_height() {
		return lp_height;
	}


	public void setLp_height(String lp_height) {
		this.lp_height = lp_height;
	}


	public String getLp_width() {
		return lp_width;
	}


	public void setLp_width(String lp_width) {
		this.lp_width = lp_width;
	}


	public String getLp_notealignjustify() {
		return lp_notealignjustify;
	}


	public void setLp_notealignjustify(String lp_notealignjustify) {
		this.lp_notealignjustify = lp_notealignjustify;
	}


	public BarLabelParameter convent() {
		BarLabelParameter barLParameter= new BarLabelParameter();
		barLParameter.setDetno(this.lp_detno);
		barLParameter.setEncode(this.lp_encode);
		barLParameter.setFont(this.lp_font);
		barLParameter.setHeight(this.lp_height);
		barLParameter.setIfshownote(this.lp_ifshownote);
		barLParameter.setLaid(this.lp_laid);
		barLParameter.setLeftrate(this.lp_leftrate);
		barLParameter.setName(this.lp_name);
		barLParameter.setNotealignjustify(this.lp_notealignjustify);
		barLParameter.setSize(this.lp_size);
		barLParameter.setToprate(this.lp_toprate);
		barLParameter.setValuetype(this.lp_valuetype);
		barLParameter.setWidth(this.lp_width);
		return barLParameter;
	}

	
}
